package main

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func Test_remoteImpl(t *testing.T) {
	remoteImpl("param.Jobs", "param")
	assert.Nil(t, nil)
}

func TestRunBenchRemote(t *testing.T) {
	input := BenchmarkFlag{
		Round:     1,
		BenchConf: "benchmark/wrk/wrk_http_long.json",
		Name:      "bench_test",
	}
	RunBenchRemote(input)
	assert.Nil(t, nil)
}

func TestRunDeleteRemote(t *testing.T) {
	input := DeleteFlag{
		Name:  "aaa",
		Cmd:   "param",
		Force: true,
	}
	RunDeleteRemote(input)
	assert.Nil(t, nil)
}

func TestRunDumpRemote(t *testing.T) {
	input := DumpFlag{
		Name: "aaa",
	}
	RunDumpRemote(input)
	assert.Nil(t, nil)
}

func TestRunGenerateRemote(t *testing.T) {
	input := GenFlag{
		Name:   "redis.conf",
		Output: "redis.json",
	}
	RunGenerateRemote(input)
	assert.Nil(t, nil)
}

func TestRunInfoRemote(t *testing.T) {
	var (
		flag = "redis.conf"
	)

	RunInfoRemote(flag)
	assert.Nil(t, nil)
}

func TestRunInitRemote(t *testing.T) {
	RunInitRemote()
	assert.Nil(t, nil)
}

func TestRunJobsRemote(t *testing.T) {
	var (
		flag = "param"
	)

	RunJobsRemote(flag)
	assert.Nil(t, nil)
}

func TestRunListRemote(t *testing.T) {
	var (
		flag = "param"
	)

	RunListRemote(flag)
	assert.Nil(t, nil)
}

func TestRunRollbackAllRemote(t *testing.T) {
	RunRollbackAllRemote()
	assert.Nil(t, nil)
}

func TestRunRollbackRemote(t *testing.T) {
	var (
		name = "profile"
		flag = RollbackFlag{Cmd: name}
	)

	RunRollbackRemote(flag)
	assert.Nil(t, nil)
}

func TestStopRemote(t *testing.T) {
	var (
		name = "param"
	)

	StopRemote(name)
	assert.Nil(t, nil)
}
