package main

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

func Test_createProfileCmds(t *testing.T) {
	got := createProfileCmds()
	assert.NotNil(t, got)
}

func Test_infoCmd(t *testing.T) {
	got := infoCmd()
	assert.NotNil(t, got)
}

func Test_listProfileCmd(t *testing.T) {
	got := listProfileCmd()
	assert.NotNil(t, got)
}

func Test_setCmd(t *testing.T) {
	got := setCmd()
	assert.NotNil(t, got)
}

func Test_setWithoutAnyGroup(t *testing.T) {
	got := setWithoutAnyGroup([]string{})
	assert.Equal(t, true, got)
}

func Test_bindFileToGroup(t *testing.T) {
	var (
		args = []string{
			"cpu_high_load.conf",
		}

		setF = SetFlag{
			Group:    []bool{true},
			ConfFile: make([]string, 1),
		}
	)

	bindFileToGroup(args, setF)
	assert.Nil(t, nil)
}

func Test_getProfile(t *testing.T) {
	var (
		fileName = "cpu_high_load.conf"
	)

	InitFileTest()

	_, err := getProfile(fileName)
	assert.Nil(t, err)
}

func Test_checkDuplicateProfile(t *testing.T) {
	InitFileTest()
	var (
		fileName = "cpu_high_load.conf"
	)

	err := checkDuplicateProfile(fileName)
	assert.Nil(t, err)
}

func Test_deleteProfileCmd(t *testing.T) {
	got := deleteProfileCmd()
	assert.NotNil(t, got)
}

func Test_checkDeleteProfile(t *testing.T) {
	var (
		flag = DeleteFlag{
			Name:  "cpu_high_load.conf",
			Cmd:   "profile",
			Force: false,
		}
	)

	InitFileTest()

	err := checkDeleteProfile(flag)
	assert.NotNil(t, err)
}

func Test_generateCmd(t *testing.T) {
	got := generateCmd()
	assert.NotNil(t, got)
}
