package param

import (
	"github.com/stretchr/testify/assert"
	com "keentune/daemon/api/common"
	"os"
	"testing"
)

func TestService_Dump(t *testing.T) {
	s := &Service{}
	dumpFlag := com.DumpFlag{
		Name:   "aaa",
		Output: []string{"aaa.conf"},
	}

	reply := new(string)
	com.InitNodesTest()
	err := s.Dump(dumpFlag, reply)
	assert.NotNil(t, err)

}

func Test_convertJsonFile2ConfigFile(t *testing.T) {
	err := convertJsonFile2ConfigFile("aaa_best.json", "aaa_best.conf")
	assert.NotNil(t, err)

	var (
		jsonFile = "/var/keentune/keentuned/tuning_workspace/05_04/05_04_group1_best.json"
	)

	err = convertJsonFile2ConfigFile(jsonFile, "aaa_best.conf")
	os.Remove("aaa_best.conf")
	assert.Nil(t, err)
}

