package profile

import (
	"github.com/stretchr/testify/assert"
	com "keentune/daemon/api/common"
	"testing"
)

func TestService_List(t *testing.T) {
	var (
		flag  string
		reply =new(string)
	)
	s := &Service{}
	com.InitNodesTest()
	err := s.List(flag, reply)
	assert.Nil(t, err)
}

func Test_getActiveDict(t *testing.T) {
	com.InitFileTest()
	got := getActiveDict()
	assert.NotNil(t, got)
}

func Test_walkProfileAllFiles(t *testing.T) {
    com.InitFileTest()
	_, _, _, err := walkProfileAllFiles()
	assert.Nil(t, err)
}

func Test_getProfileDirTree(t *testing.T) {
	var (
		wspProfiles = []string{
			"my.conf",
		}
		paths = []string{
			"a/aaa.conf",
		}
	)

	got, _ := getProfileDirTree(wspProfiles, paths)
	assert.NotNil(t, got)
}

func Test_getRepeatedNameInfo(t *testing.T) {
	var (
		names     = []string{"aaa", "bbb"}
		fullPaths = []string{"a/aaa", "b/bbb"}
	)

	got := getRepeatedNameInfo(names, fullPaths)
	assert.Equal(t, "", got)
}
