/*
* Copyright (c) 2021-2023 Alibaba Cloud Computing Ltd.
* SPDX-License-Identifier: MulanPSL-2.0

* Package profile for daemon, this package contains the delete, generate, info, list, rollback, set for static tuning. Is a function implementation of the static tuning server in the rpc framework.
 */

package profile

import (
	"keentune/daemon/api/common"
	m "keentune/daemon/modules"
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestService_Set(t *testing.T) {
	var (
		flag = SetFlag{
			Group:    []bool{true},
			ConfFile: []string{"/etc/keentune/keentuned/profile/basic/cpu_high_load.conf"},
		}
		reply = new(string)
	)
	s := &Service{}
	common.InitNodesTest()
	err := s.Set(flag, reply)
	assert.Nil(t, err)
}

func TestSettingImpl(t *testing.T) {
	var (
		flag = SetFlag{
			Group:    []bool{true},
			ConfFile: []string{"/etc/keentune/keentuned/profile/basic/cpu_high_load.conf"},
		}
	)
	common.InitNodesTest()
	SettingImpl(flag)
	assert.Nil(t, nil)
	m.ClearTask()
}
