/*
* Copyright (c) 2021-2023 Alibaba Cloud Computing Ltd.
* SPDX-License-Identifier: MulanPSL-2.0

* Package system for daemon, this package contains the benchmark for dynamic tuning. The functional implementation is not currently used by other packages.
 */

package system

import (
	"github.com/stretchr/testify/assert"
	"keentune/daemon/api/common"
	"keentune/daemon/common/config"
	"testing"
)

func TestService_Benchmark(t *testing.T) {
	common.InitNodesTest()
	common.InitHttpChan()
	s := &Service{}
	flag := BenchmarkFlag{
		Round:     1,
		BenchConf: "wrk_http_long.json",
		Name:      "bbb",
	}
	reply := new(string)
	config.IsInnerBenchRequests[1] = true
	defer func() {
		config.IsInnerBenchRequests[1] = false
	}()

	err := s.Benchmark(flag, reply)
	assert.NotNil(t, err)
}
