package modules

import (
	"github.com/stretchr/testify/assert"
	"sync"
	"testing"
)

func Test_dumpRollbackDomainsFile(t *testing.T) {
	InitFileTest()
	ret := dumpRollbackDomainsFile()
	assert.NotEmpty(t, ret)
}

func TestTuner_initRB(t *testing.T) {
	InitFileTest()
	var (
		tuner = &Tuner{
			Group: []Group{
				{
					GroupNo:     1,
					initDomains: []string{"sysctl"},
				},
			},
		}
	)

	tuner.initRB()
	assert.Nil(t, nil)
}

func TestTuner_dumpForRBDomains(t *testing.T) {
	InitFileTest()
	var (
		tuner = &Tuner{
			Group: []Group{
				{
					GroupNo:     1,
					initDomains: []string{"sysctl"},
				},
			},
		}
	)

	tuner.dumpForRBDomains()
	assert.Nil(t, nil)
}

func TestTuner_StoreRBDomain(t *testing.T) {
	InitFileTest()
	var (
		tuner = &Tuner{
			Group: []Group{
				{
					GroupNo:     1,
					initDomains: []string{"sysctl"},
				},
			},
		}
		domains = &sync.Map{}
		id      int
	)

	tuner.StoreRBDomain(id, domains)
	assert.Nil(t, nil)
}

func TestTuner_loadRBDomains(t *testing.T) {
	InitFileTest()
	var (
		tuner = &Tuner{
			Group: []Group{
				{
					GroupNo:     1,
					initDomains: []string{"sysctl"},
				},
			},
		}
	)

	tuner.loadRBDomains()
	assert.Nil(t, nil)
}

func TestGroup_updateRBDomains(t *testing.T) {
	var (
		gp = &Group{
			initDomains: []string{"sysctl"},
		}
	)

	gp.updateRBDomains()
	assert.Nil(t, nil)
}

func Test_cleanRBDomains(t *testing.T) {
	InitFileTest()
	cleanRBDomains()
	assert.Nil(t, nil)
}

func TestDumpDefaultRBDomains(t *testing.T) {
	InitFileTest()
	var (
		domains = &sync.Map{}
	)
	domains.Store("domain", true)

	DumpDefaultRBDomains(domains)
	assert.Nil(t, nil)
}
